slepc-3.10.1 2018-10-23
Report Typos and Errors

# MFNSetTolerances

Sets the tolerance and maximum iteration count used by the MFN convergence tests.

### Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNSetTolerances(MFN mfn,PetscReal tol,PetscInt maxits)

Logically Collective on MFN

### Input Parameters

| mfn | - the matrix function context
| tol | - the convergence tolerance
| maxits | - maximum number of iterations to use

### Options Database Keys

| -mfn_tol <tol> | - Sets the convergence tolerance
| -mfn_max_it <maxits> | - Sets the maximum number of iterations allowed

### Notes

Use PETSC_DEFAULT for either argument to assign a reasonably good value.

### See Also

MFNGetTolerances()

Location: src/mfn/interface/mfnopts.c
Index of all MFN routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mfn/examples/tutorials/ex23.c.html
src/mfn/examples/tutorials/ex23f90.F90.html